TAAS - Feature #251

Supplier Productivity Report
07/09/2023 04:18 PM - Anil KV

Status: Testing Done Start date: 07/09/2023
Priority: Normal Due date:

Assignee: Vivekp V % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Supplier Productivity Report

Description

Coding Supplier Productivity Report

History

#1 - 08/07/2023 10:02 AM - Anonymous

- Assignee changed from travvise Admin to Karthika V Anand

#2 - 08/07/2023 10:49 AM - Junaid M
OLD - NOT USE

SELECT fk_productivity_mapping_id,

_ledg_cur_credit ELSE 0.00 END AS dbl_sale,

ledg_cur_debit ELSE 0.00 END AS dbl_refund,

_status = 1 AND tr.sin_document_status = 1

1_ledg_cur_credit ELSE 0.00 END AS dbl_profit,
pk_account_id,
MAX (vhr_account_code) AS account_code,

MAX
MAX
SUM
SUM

vhr_account_name) AS account_name,
vhr_display_name) AS display_name,
tmp.dbl_sale) AS dbl_sale,
tmp.dbl_refund) AS dbl_refund,

SUM (tmp.dbl_profit) AS dbl_profit,
SUM (tmp.dbl_expense) AS dbl_expense

(
(
(
(
(
(

FROM

(SELECT tr.fk_productivity_mapping_id,

ac.vhr_account_code,

ac.vhr_account_name,

ac.vhr_display_name,

pk_account_id,

CASE WHEN tr.dbl_ledg_cur_credit > 0 THEN tr.dbl

CASE WHEN tr.dbl_ledg_cur_debit > 0 THEN tr.dbl_

0.00 AS dbl_profit,
0.00 AS dbl_expense
FROM transaction.tbl_transaction AS tr
INNER JOIN accounts.tbl_account AS ac
ON fk_productivity_mapping_id = ac.pk_account_id
WHERE tr.sin_posting_status = 1 AND tr.sin_transaction

AND tr.sin_record_type = 5
—-— 7?7 WHERE

UNION ALL

SELECT tr.fk_productivity_mapping_id,
ac2.vhr_account_code,
ac2.vhr_account_name,
ac2.vhr_display_name,
ac2.pk_account_id,
0.00 AS dbl_sale,
0.00 AS dbl_refund,
CASE WHEN tr.dbl_ledg_cur_credit > 0 THEN tr.db

CASE WHEN tr.dbl_ledg_cur_debit > 0 THEN tr.dbl
_ledg_cur_debit ELSE 0.00 END AS dbl_expense

id

_status 1 AND tr.sin_document_status

New Solutions

1) GUI Change
—-Add Status - like ledger Statement
2)SQL
SELECT tr.fk_productivity_mapping_id,
MAX (ac.vhr_account_code)
MAX (ac.vhr_account_name)
MAX (ac.vhr_display_name)
ency replace based on Input currency
SUM (CASE WHEN tr.dbl_ledg_cur_debit >
replace based on Input currency
SUM (tmp.dbl_profit) AS dbl_profit,
SUM (tmp.dbl_expense) AS dbl_expense
FROM transaction.tbl_transaction AS tr
INNER JOIN accounts.tbl_account AS ac
ON tr.fk_productivity_mapping_id
INNER JOIN

cy replace based on Input currency
CASE WHEN tr.dbl_ledg_cur_debit >

y replace based on Input currency
FROM transaction.tbl_transaction AS tr

FROM transaction.tbl_transaction AS tr
INNER JOIN accounts.tbl_account AS acl
ON tr.fk_ledger_id acl.pk_account_id
INNER JOIN accounts.tbl_account ac2
ON tr.fk_productivity_mapping_id

WHERE tr.sin_posting_status

AND acl.sin_ac_category IN (3, 4)
—— 27?7 WHERE
) AS tmp

GROUP BY fk_productivity_mapping_id, pk_account_id

AS vhr_account_code,
AS vhr_account_name,
AS vhr_display_name,
SUM (CASE WHEN tr.dbl_ledg_cur_credit > 0 THEN tr.dbl_ledg_cur_credit ELSE

(SELECT tr.fk_productivity_mapping_id,
CASE WHEN tr.dbl_ledg_cur_credit > 0 THEN tr.dbl_ledg_cur_credit ELSE O

0 THEN tr.dbl_ledg_cur_debit ELSE 0

INNER JOIN accounts.tbl_account AS ac

ON fk_productivity_mapping_id
WHERE tr.sin_posting_status 1
AND tr.sin_transaction_status =
AND tr.sin_document_status 1
AND tr.dat_transaction BETWEEN

AND ac.sin_ac_category IN (3,4)

1

) AS tmp
ON tr.fk_productivity_mapping_id
WHERE tr.sin_posting_status 1

'2023-08-01"
—— Income and Expense account only

ac.pk_account_id

AND '2023-08-30"'

tmp.fk_productivity_mapping_id

AND tr.sin_transaction_status = 1
AND tr.sin_document_status = 1
AND tr.sin_record_type IN (5, 6)
AND tr.vhr_sys_module_name IN ('SALE', 'REFUND')
AND tr.dat_transaction BETWEEN '2023-08-01' AND '2023-08-30"'
AND (ac.sin_ac_category = 19 —-Supplier
OR (ac.sin_ac_category IN (1,2,3,4) AND sin_if supplier = 1) -- COA Act as Supplier
OR (ac.sin_ac_category = 18 AND sin_if_ supplier = 1) --Customer act as Supplier
OR (ac.sin_ac_category = 22 AND sin_if_supplier = 1)) —--Airline act as custmer
GROUP BY tr.fk_productivity_mapping_id
ORDER BY (SUM(tmp.dbl_profit) - SUM(tmp.dbl_expense)) DESC
—— Net = dbl_sale-dbl_refund

--Net Profit

dbl_profit - dbl_expense

#3 - 08/07/2023 10:50 AM - Karthika V Anand
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#4 - 08/07/2023 05:33 PM - Karthika V Anand
- Status changed from Coding Started to Particialy Coding

05/04/2025

Done

ac2.pk_account_

1 AND tr.sin_transaction

0.00 END) AS dbl_refund,--Curr

0 THEN tr.dbl_ledg_cur_debit ELSE 0.00 END) AS dbl_sale,--Currency
ac.pk_account_id

.00 END AS dbl_profit, --Curren

.00 END AS dbl_expense-—-Currenc
#5 - 09/06/2023 05:52 PM - Junaid M

New Query

SELECT mt.fk_productivity_mapping_id,
MIN (ac.vhr_account_code) AS vhr_account_code,
(ac.vhr_account_name) AS vhr_account_name,
(ac.vhr_display_name) AS vhr_display_name,
SUM (mt .dbl_sale) AS dbl_sale,
SUM (mt .dbl_refund) AS dbl_refund,
SUM (mt .dbl_profit) AS dbl_profit,
SUM (mt .dbl_expense) AS dbl_expense
FROM ( SELECT tr.fk_productivity_mapping_id,
CASE WHEN tr.dbl_base_cur_credit > 0 THEN tr.dbl_base_cur_credit ELSE 0.00 END AS dbl_sale,
CASE WHEN tr.dbl_base_cur_debit > 0 THEN tr.dbl_base_cur_debit ELSE 0.00 END AS dbl_refund,
0.00 AS dbl_profit,
0.00 AS dbl_expense
FROM transaction.tbl_transaction AS tr
INNER JOIN accounts.tbl_account AS ac
ON tr.fk_productivity_mapping_id = ac.pk_account_id
WHERE tr.sin_posting_status = 1
AND tr.sin_transaction_status = 1
AND tr.sin_document_status = 1
AND tr.sin_record_type IN (5, 6)
AND tr.vhr_sys_module_name IN ('SALE', 'REFUND')
AND tr.dat_transaction BETWEEN CAST ('06-09-2023 06:30:00' AS DATE) AND CAST('06-09-2023 06:30:00' AS D

ATE)

AND tr.fk_branch_id = ANY (STRING_TO_ARRAY ('1l', ',"')::BIGINT[])

AND tr.sin_posting_status = ANY (STRING_TO_ARRAY('1,3', ',')::BIGINTI[])

AND ( ac.sin_ac_category = 19 ) AND ( ac.sin_ac_category = 19 OR ac.sin_ac_category IN (1,2,3,4)
AND sin_if_supplier = 1 )

AND ( ac.sin_ac_category = 19 OR ac.sin_ac_category IN (1,2,3,4) AND sin_if_ supplier = 1 OR ac.sin_a
c_category = 18 AND sin_if_ supplier = 1 )

AND ( ac.sin_ac_category = 19 OR ac.sin_ac_category IN (1,2,3,4) AND sin_if_ supplier = 1 OR ac.sin_a

c_category = 18 AND sin_if supplier = 1 OR ac.sin_ac_category = 22 AND sin_1if_ supplier = 1 )
UNION ALL

SELECT tr.fk_productivity_mapping_id,
0.00 AS dbl_sale,
0.00 AS dbl_refund,
CASE WHEN tr.dbl_base_cur_credit > 0 THEN tr.dbl_base_cur_credit ELSE 0.00 END AS dbl_profit,
CASE WHEN tr.dbl_base_cur_debit > 0 THEN tr.dbl_base_cur_debit ELSE 0.00 END AS dbl_expense
FROM transaction.tbl_transaction AS tr
INNER JOIN accounts.tbl_account AS ac
ON tr.fk_productivity_mapping_id = ac.pk_account_id
WHERE tr.sin_posting_status = 1

AND tr.sin_transaction_status = 1

AND tr.sin_document_status =1

AND tr.dat_transaction BETWEEN CAST ('06-09-2023 06:30:00' AS DATE) AND CAST('06-09-2023 06:30:00' AS D
ATE)

AND ac.sin_ac_category IN(3,4)

AND tr.vhr_sys_module_name NOT IN ('SALE', 'REFUND'")

AND tr.fk_branch_id = ANY (STRING_TO_ARRAY('1l', ', '")::BIGINTI[])

AND tr.sin_posting_status = ANY (STRING_TO_ARRAY('1,3', ', ') ::BIGINT[])

AND ( ac.sin_ac_category = 19 ) AND ( ac.sin_ac_category = 19 OR ac.sin_ac_category IN (1,2,3,4)
AND sin_if_supplier = 1 )

AND ( ac.sin_ac_category = 19 OR ac.sin_ac_category IN (1,2,3,4) AND sin_if_ supplier = 1 OR ac.sin_a

c_category = 18 AND sin_if_ supplier = 1 )

AND ( ac.sin_ac_category = 19 OR ac.sin_ac_category IN (1,2,3,4) AND sin_if_supplier 1 OR ac.sin_a

c_category = 18 AND sin_if_ supplier = 1 OR ac.sin_ac_category = 22 AND sin_if_ supplier = 1 )
) AS mt
INNER JOIN accounts.tbl_account AS ac
ON mt.fk_productivity_mapping_id = ac.pk_account_id
GROUP BY mt.fk_productivity_mapping_id;

#6 - 09/07/2023 05:11 PM - Karthika V Anand
- Status changed from Particialy Coding Done to Coding Done
- % Done changed from 40 to 60

#7 - 09/22/2023 03:32 PM - Seema Mathew

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50
- Tested By set to Seema Mathew
ISSUE FOUNDED****

1.ADD TOTAL AMOUNT IN PRINT
2.ERASER FILTER NOT WORKING

#8 - 09/26/2023 10:21 AM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#9 - 10/07/2023 05:26 PM - Junaid M
- Assignee changed from Karthika V Anand to Vivekp V

#10 - 10/12/2023 01:07 PM - unnikannan S

- Tested By changed from Seema Mathew to unnikannan S

TESTING DONE

#11 - 11/09/2023 11:47 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOW PROFIT,EXPENCE AND NET PROFIT DATA OF SUPPLIER AND ACT US SUPPLIERS A/C S
#12 - 12/13/2023 06:29 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

ISSUE FIXED

1.SHOW PROFIT,EXPENCE AND NET PROFIT DATA OF SUPPLIER AND ACT US SUPPLIERS A/C S
#13 - 12/14/2023 03:40 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.DONT SHOW CUSTOMER/FOP SIDE ADDED ACT AS A/C SUPPLIERS
#14 - 12/21/2023 05:03 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

SSUE Fixed

1.DONT SHOW CUSTOMER/FOP SIDE ADDED ACT AS A/C SUPPLIERS
#15 - 01/24/2024 02:54 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOWING LEDGERS INCOME/EXPENSE ACCOUNT FROM RECEIPT THAT NOT RELATED WITH THE SUPPLIER PRODUCTIVITY
#16 - 01/24/2024 04:05 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.SHOWING LEDGERS INCOME/EXPENSE ACCOUNT FROM RECEIPT THAT NOT RELATED WITH THE SUPPLIER PRODUCTIVITY

#17 - 01/24/2024 04:44 PM - unnikannan S
TESTING DONE

#18 - 02/14/2024 04:14 PM - Junaid M

Issue Found

Productivity Amount is wrong when sharing

#19 - 02/14/2024 04:16 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#20 - 02/14/2024 07:19 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Issue FIXED

Productivity Amount is wrong when sharing

#21 - 02/15/2024 04:01 PM - unnikannan S
TESTING DONE

#22 - 10/02/2024 12:06 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

05/04/2025

5/5


http://www.tcpdf.org

